Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy
Class AssertionInfoMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<javax.xml.namespace.QName,java.util.Collection<AssertionInfo>>
              org.apache.cxf.ws.policy.AssertionInfoMap

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<javax.xml.namespace.QName,java.util.Collection<AssertionInfo>>

    public class AssertionInfoMap

extends java.util.HashMap<javax.xml.namespace.QName,java.util.Collection<AssertionInfo>>

See Also:
  Serialized Form

Constructor Summary
`AssertionInfoMap(java.util.Collection<PolicyAssertion> assertions)`
`AssertionInfoMap(org.apache.neethi.Policy p)`

Method Summary
`void` | `check()`
`void` | `checkEffectivePolicy(org.apache.neethi.Policy policy)`
`java.util.Collection<AssertionInfo>` | `getAssertionInfo(javax.xml.namespace.QName name)`
`boolean` | `supportsAlternative(java.util.Collection<PolicyAssertion> alternative, java.util.List<javax.xml.namespace.QName> errors)`
`boolean` | `supportsAlternative(PolicyAssertion assertion, java.util.List<javax.xml.namespace.QName> errors)`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### AssertionInfoMap

    public AssertionInfoMap(org.apache.neethi.Policy p)

### AssertionInfoMap

    public AssertionInfoMap(java.util.Collection<PolicyAssertion> assertions)

Method Detail

### getAssertionInfo

    public java.util.Collection<AssertionInfo> getAssertionInfo(javax.xml.namespace.QName name)

### supportsAlternative

    public boolean supportsAlternative(PolicyAssertion assertion,
                                       java.util.List<javax.xml.namespace.QName> errors)

### supportsAlternative

    public boolean supportsAlternative(java.util.Collection<PolicyAssertion> alternative,
                                       java.util.List<javax.xml.namespace.QName> errors)

### checkEffectivePolicy

    public void checkEffectivePolicy(org.apache.neethi.Policy policy)

### check

    public void check()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF